// Copyright (c) Strange Loop Games. All rights reserved.
// See LICENSE file in the project root for full license information.
// <auto-generated />

namespace Eco.Mods.TechTree

{ 
using System;
using System.Collections.Generic;
using System.ComponentModel;
using Eco.Gameplay.Blocks;
using Eco.Gameplay.Components;
using Eco.Gameplay.Components.Auth;
using Eco.Gameplay.Economy;
using Eco.Gameplay.DynamicValues;
using Eco.Gameplay.Items;
using Eco.Gameplay.Objects;
using Eco.Gameplay.Property;
using Eco.Gameplay.Players;
using Eco.Gameplay.Skills;
using Eco.Gameplay.Systems;
using Eco.Gameplay.Systems.TextLinks;
using Eco.Gameplay.Systems.Tooltip;
using Eco.Shared.Localization;
using Eco.Shared.Serialization;
using Eco.Shared.Utils;
using Eco.Core.Items;
using Eco.World;
using Eco.World.Blocks;
using Eco.Gameplay.Pipes;

    [Serialized]
    [LocDisplayName("Charcoal Powder")]
    [MaxStackSize(200)]
    [Weight(1000)]      
    [Tag("Currency")][Currency]              
    [Ecopedia("Items", "Products", createAsSubPage: true, display: InPageTooltip.DynamicTooltip)]                                                                           
    public partial class CharcoalPowderItem : Item                                   
    {
        public override LocString DisplayDescription { get { return Localizer.DoStr("Charcoal crushed in an arrastra, used for crafting ink"); } }

        static CharcoalPowderItem()
        {

        }
    }

    [RequiresSkill(typeof(MiningSkill), 1)]
    public partial class CharcoalPowderRecipe : RecipeFamily
    {
        public CharcoalPowderRecipe()
        {
            this.Initialize(Localizer.DoStr("Charcoal Powder"), typeof(CharcoalPowderRecipe));
            this.Recipes = new List<Recipe>
                {
                    new Recipe(
                        "Charcoal Powder",
                        Localizer.DoStr("Charcoal Powder"),
                        new IngredientElement[]
                        {
                            new IngredientElement(typeof(CharcoalItem), 10, typeof(MiningSkill))
                        },
                        new CraftingElement<CharcoalPowderItem>()
                        )
                };


            this.ExperienceOnCraft = 0;

            this.LaborInCalories = CreateLaborInCaloriesValue(100, typeof(MiningSkill), typeof(CharcoalPowderRecipe), this.UILink());
            this.CraftMinutes = CreateCraftTimeValue(typeof(CharcoalPowderRecipe), this.UILink(), 1, typeof(MiningSkill));

            this.Initialize(Localizer.DoStr("Charcoal Powder"), typeof(CharcoalPowderRecipe));
            CraftingComponent.AddRecipe(typeof(ArrastraObject), this);
        }
    }
}
