// Copyright (c) Strange Loop Games. All rights reserved.
// See LICENSE file in the project root for full license information.
// <auto-generated />

namespace Eco.Mods.TechTree

{ 
using System;
using System.Collections.Generic;
using System.ComponentModel;
using Eco.Gameplay.Blocks;
using Eco.Gameplay.Components;
using Eco.Gameplay.Components.Auth;
using Eco.Gameplay.Economy;
using Eco.Gameplay.DynamicValues;
using Eco.Gameplay.Items;
using Eco.Gameplay.Objects;
using Eco.Gameplay.Property;
using Eco.Gameplay.Players;
using Eco.Gameplay.Skills;
using Eco.Gameplay.Systems;
using Eco.Gameplay.Systems.TextLinks;
using Eco.Gameplay.Systems.Tooltip;
using Eco.Shared.Localization;
using Eco.Shared.Serialization;
using Eco.Shared.Utils;
using Eco.Core.Items;
using Eco.World;
using Eco.World.Blocks;
using Eco.Gameplay.Pipes;

    [Serialized]
    [LocDisplayName("Ink")]
    [MaxStackSize(200)]
    [Weight(100)]      
    [Tag("Currency")][Currency]              
    [Ecopedia("Items", "Products", createAsSubPage: true, display: InPageTooltip.DynamicTooltip)]                                                                           
    public partial class InkItem : Item                                    
    {
        public override LocString DisplayDescription { get { return Localizer.DoStr("Black ink made from charcoal. Use this with a pen to write documents."); } }

        static InkItem()
        {

        }
    }

    [RequiresSkill(typeof(CampfireCookingSkill), 4)]
    public partial class InkRecipe : RecipeFamily
    {
        public InkRecipe()
        {
            this.Initialize(Localizer.DoStr("Ink"), typeof(InkRecipe));
            this.Recipes = new List<Recipe>
                {
                    new Recipe(
                        "Ink",
                        Localizer.DoStr("Ink"),
                        new IngredientElement[]
                        {
                            new IngredientElement(typeof(CharcoalPowderItem), 7, typeof(CampfireCookingSkill), typeof(CampfireCookingLavishResourcesTalent))
                        },
                        new CraftingElement<InkItem>()
                        )
                };


            this.ExperienceOnCraft = 0;

            this.LaborInCalories = CreateLaborInCaloriesValue(100, typeof(CampfireCookingSkill), typeof(InkRecipe), this.UILink());
            this.CraftMinutes = CreateCraftTimeValue(typeof(InkRecipe), this.UILink(), 3, typeof(CampfireCookingSkill), typeof(CampfireCookingFocusedSpeedTalent), typeof(CampfireCookingParallelSpeedTalent));

            this.Initialize(Localizer.DoStr("Ink"), typeof(InkRecipe));
            CraftingComponent.AddRecipe(typeof(CampfireObject), this);
        }
    }
}
