// Copyright (c) Strange Loop Games. All rights reserved.
// See LICENSE file in the project root for full license information.
// <auto-generated />

namespace Eco.Mods.TechTree

{
using System;
using System.Collections.Generic;
using System.ComponentModel;
using Eco.Gameplay.Blocks;
using Eco.Gameplay.Components;
using Eco.Gameplay.Components.Auth;
using Eco.Gameplay.Economy;
using Eco.Gameplay.DynamicValues;
using Eco.Gameplay.Items;
using Eco.Gameplay.Objects;
using Eco.Gameplay.Property;
using Eco.Gameplay.Players;
using Eco.Gameplay.Skills;
using Eco.Gameplay.Systems;
using Eco.Gameplay.Systems.TextLinks;
using Eco.Gameplay.Systems.Tooltip;
using Eco.Shared.Localization;
using Eco.Shared.Serialization;
using Eco.Shared.Utils;
using Eco.Core.Items;
using Eco.World;
using Eco.World.Blocks;
using Eco.Gameplay.Pipes;

    [Serialized]
    [LocDisplayName("Wax Seal")]
    [MaxStackSize(200)]
    [Weight(10)]      
    [Tag("Currency")][Currency]              
    [Ecopedia("Items", "Products", createAsSubPage: true, display: InPageTooltip.DynamicTooltip)]                                                                           
    public partial class WaxSealItem : Item                                    
    {
        public override LocString DisplayNamePlural { get { return Localizer.DoStr("Wax Seals"); } } 
        public override LocString DisplayDescription { get { return Localizer.DoStr("An official seal with a government insignia, legitimizing the documents it is affixed to."); } }

        static WaxSealItem()
        {

        }
    }

    [RequiresSkill(typeof(ButcherySkill), 1)]
    public partial class WaxSealRecipe : RecipeFamily
    {
        public WaxSealRecipe()
        {
            this.Initialize(Localizer.DoStr("Wax Seal"), typeof(WaxSealRecipe));
            this.Recipes = new List<Recipe>
                {
                    new Recipe(
                        "Wax Seal",
                        Localizer.DoStr("Wax Seal"),
                        new IngredientElement[]
                        {
                            new IngredientElement(typeof(StampItem), 1, typeof(ButcherySkill), typeof(ButcheryLavishResourcesTalent)),
                            new IngredientElement(typeof(TallowItem), 3, typeof(ButcherySkill), typeof(ButcheryLavishResourcesTalent))
                        },
                        new CraftingElement<WaxSealItem>(),
                        new CraftingElement<StampItem>()
                        )
                };


            this.ExperienceOnCraft = 0;

            this.LaborInCalories = CreateLaborInCaloriesValue(100, typeof(CampfireCookingSkill), typeof(InkRecipe), this.UILink());
            this.CraftMinutes = CreateCraftTimeValue(typeof(InkRecipe), this.UILink(), 0.5f, typeof(CampfireCookingSkill), typeof(CampfireCookingFocusedSpeedTalent), typeof(CampfireCookingParallelSpeedTalent));

            this.Initialize(Localizer.DoStr("Wax Seal"), typeof(WaxSealRecipe));
            CraftingComponent.AddRecipe(typeof(ButcheryTableObject), this);
        }
    }
}
